weka.core.pmml.jaxbbindings

## Class Interval

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Interval

-     public class Interval
      extends java.lang.Object

  Java class for Interval element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Interval">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="closure" use="required">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="openClosed"/>
                     <enumeration value="openOpen"/>
                     <enumeration value="closedOpen"/>
                     <enumeration value="closedClosed"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="leftMargin" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="rightMargin" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Interval()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClosure()` Gets the value of the closure property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.Double` | `getLeftMargin()` Gets the value of the leftMargin property.
    `java.lang.Double` | `getRightMargin()` Gets the value of the rightMargin property.
    `void` | `setClosure(java.lang.String value)` Sets the value of the closure property.
    `void` | `setLeftMargin(java.lang.Double value)` Sets the value of the leftMargin property.
    `void` | `setRightMargin(java.lang.Double value)` Sets the value of the rightMargin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Interval

          public Interval()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getClosure

          public java.lang.String getClosure()

      Gets the value of the closure property.
      Returns:
        possible object is `String`

    - #### setClosure

          public void setClosure(java.lang.String value)

      Sets the value of the closure property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLeftMargin

          public java.lang.Double getLeftMargin()

      Gets the value of the leftMargin property.
      Returns:
        possible object is `Double`

    - #### setLeftMargin

          public void setLeftMargin(java.lang.Double value)

      Sets the value of the leftMargin property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getRightMargin

          public java.lang.Double getRightMargin()

      Gets the value of the rightMargin property.
      Returns:
        possible object is `Double`

    - #### setRightMargin

          public void setRightMargin(java.lang.Double value)

      Sets the value of the rightMargin property.
      Parameters:
        `value` - allowed object is `Double`